Get an event of a watch
One notification-producing event of a watch of your watchlist.
Authorization
apiKey X-API-KEY<token>
Value for the X-API-KEY header parameter.
In: header
Path Parameters
watchId*string
Watch id
id*string
Event id
Response Body
curl -X GET "https://example.com/watchlist/3fa85f64-5717-4562-b3fc-2c963f66afa6/events/3fa85f64-5717-4562-b3fc-2c963f66afa6"{ "watch": "https://example.com/", "property": "https://example.com/", "eventType": "PRICE_CHANGE", "scope": "PROPERTY", "notifiedAt": "2026-07-28T09:15:00+00:00", "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6", "createdAt": "2026-01-15T10:30:00+00:00", "updatedAt": "2026-05-20T14:45:00+00:00"}